package com.ruoyi.system.domain.fgw;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 发改委_节点安排_附件对象 fgw_jdap_fj
 * 
 * @author ruoyi
 * @date 2023-04-11
 */
public class FgwJdapFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long xmId;

    /** 节点安排ID */
    @Excel(name = "节点安排ID")
    private Long jdapId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fjName;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String path;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setJdapId(Long jdapId) 
    {
        this.jdapId = jdapId;
    }

    public Long getJdapId() 
    {
        return jdapId;
    }
    public void setFjName(String fjName) 
    {
        this.fjName = fjName;
    }

    public String getFjName() 
    {
        return fjName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("jdapId", getJdapId())
            .append("fjName", getFjName())
            .append("path", getPath())
            .append("remark", getRemark())
            .toString();
    }
}
